@import '../../../assets/styles/functions.scss';
@import '../../../assets/styles/mixin.scss';

.top-menu-block {
  // position: relative;

  &__mobile-btn {
    @include flex(space-between, flex-end, column);
    width: 26px;
    height: 21px;
    display: none;
  }

  &__middle-line,
  &__mobile-btn::before,
  &__mobile-btn::after {
    display: block;
    width: 15px;
    height: 3px;
    background-color: getBgColor(bg3);
    transition: all 1s;
  }

  &__mobile-btn::before,
  &__mobile-btn::after {
    content: '';
  }

  &__middle-line,
  &__mobile-btn::after {
    width: 21px;
  }

  &__checkbox {
    display: none;
  }

  @media (max-width: 480px) {
    &__mobile-btn {
      display: flex;
    }

    &__checkbox:checked + &__mobile-btn > &__middle-line {
      display: none;
    }

    &__checkbox:checked + &__mobile-btn:before {
      width: 21px;
      transform: rotate(45deg) translate(7px, 7px);
    }

    &__checkbox:checked + &__mobile-btn:after {
      width: 21px;
      transform: rotate(-45deg) translate(6px, -6px);
    }
  }

  @media (min-width: 481px) {
    width: 100%;
    // display: flex;
    // justify-content: space-around;
    padding-top: 30px;
  }

  @media (min-width: 993px) {
    width: auto;
    padding-top: 0;
    flex-grow: 1;
    // margin-right: 48px;
    // display: flex;
    // justify-content: flex-end;
  }
}

.mobile-menu {
  background-color: getBgColor(bg4);
  position: absolute;
  top: 290%;
  right: 50%;
  left: 50%;
  transform: translate(-50%, -62%);
  display: none;
  min-width: 290px;

  &__item {
    @include text(26px, 400, capitalize);
    color: getTextColor(text1);
    border-bottom: 3px solid getBgColor(hr3);
    display: flex;
    flex-direction: column;
    padding: 24px 39px 21px;
    position: relative;
  }

  @media (max-width: 480px) {
    & {
      display: block;
    }

    &__item:focus {
      color: getTextColor(text2);
    }

    &__item:focus::before {
      content: '';
      position: absolute;
      width: 8px;
      height: 53px;
      left: 1px;
      top: 15px;
      background: getBgColor(bg2);
    }
  }
}

.desctop-menu {
  display: none;

  @media (min-width: 481px) {
    & {
      display: flex;
      justify-content: center;
    }

    &__item {
      @include text(16px, 700, capitalize);
      color: getTextColor(text2);
      margin-right: 48px;
    }
  }

  @media (min-width: 993px) {
    & {
      justify-content: flex-end;
    }

    &__item:hover {
      color: getTextColor(text1);
    }
  }
}
